## ros-indigo-ypspur-ros 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ypspur_ros)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rospy
  roslint
  rostest
  geometry_msgs
  sensor_msgs
  nav_msgs
  std_msgs
  tf
  trajectory_msgs
  message_generation
)

add_message_files(
  FILES
  DigitalOutput.msg
  DigitalInput.msg
  ControlMode.msg
  JointPositionControl.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(CATKIN_DEPENDS
  geometry_msgs
  nav_msgs
  roscpp
  rospy
  std_msgs
  tf
  trajectory_msgs
)
find_package(Boost REQUIRED COMPONENTS chrono thread atomic REQUIRED)

find_package(ypspur REQUIRED)

###########
## Build ##
###########

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
  message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. ")
endif()


include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${ypspur_INCLUDE_DIRS}
)

add_executable(ypspur_ros src/ypspur_ros.cpp)
target_link_libraries(ypspur_ros
  ${catkin_LIBRARIES}
  ypspur
)
add_dependencies(ypspur_ros ${ypspur_ros_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(joint_tf_publisher src/joint_tf_publisher.cpp)
target_link_libraries(joint_tf_publisher ${catkin_LIBRARIES})
add_dependencies(joint_tf_publisher ${ypspur_ros_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(joint_position_to_joint_trajectory src/joint_position_to_joint_trajectory.cpp)
target_link_libraries(joint_position_to_joint_trajectory ${catkin_LIBRARIES})
add_dependencies(joint_position_to_joint_trajectory ${ypspur_ros_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############

install(TARGETS
    ypspur_ros
    joint_tf_publisher
    joint_position_to_joint_trajectory
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

roslint_cpp()
if(CATKIN_ENABLE_TESTING)
  roslint_add_test()
endif()

=== debian/changelog ===
ros-indigo-ypspur-ros (0.2.0-0trusty) trusty; urgency=high

  * Add CI build for melodic (#37 <https://github.com/openspur/ypspur_ros/issues/37>)
    
      * Also rename ci script directory
    
  * Add encrypted token for image caching (#35 <https://github.com/openspur/ypspur_ros/issues/35>)
  * Migrate to ROS recommended namespace model (#31 <https://github.com/openspur/ypspur_ros/issues/31>)
  * Fix --enable-get-digital-io arg to ypspur-coordinator (#33 <https://github.com/openspur/ypspur_ros/issues/33>)
  * Fix installation of nodes (#30 <https://github.com/openspur/ypspur_ros/issues/30>)
  * Fix variable and class naming styles (#29 <https://github.com/openspur/ypspur_ros/issues/29>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@openspur.org>  Thu, 07 Jun 2018 00:00:00 -0000

ros-indigo-ypspur-ros (0.1.0-0trusty) trusty; urgency=high

  * Update CI settings (#25 <https://github.com/openspur/ypspur_ros/issues/25>)
    
      * Use docker hub as a cache
    
  * Fix build dependencies (#24 <https://github.com/openspur/ypspur_ros/issues/24>)
    
      * Fix cmake target build deps
      * Fix package deps
    
  * Fix joint state timestamp coherency (#23 <https://github.com/openspur/ypspur_ros/issues/23>)
    
      * Fix joint state timestamp coherency
      * Use system time if yp-spur didn't provide stamp
    
  * Add build test on indigo. (#20 <https://github.com/openspur/ypspur_ros/issues/20>)
  * Fix coding style. (#19 <https://github.com/openspur/ypspur_ros/issues/19>)
  * Fix timestamp in simulation mode. (#18 <https://github.com/openspur/ypspur_ros/issues/18>)
  * Add build test. (#17 <https://github.com/openspur/ypspur_ros/issues/17>)
    
      * Add build test.
      * Fix indent in CMakeFile.
      * Fix package deps.
    
  * Support running ypspur-coordinator by using PATH env. (#14 <https://github.com/openspur/ypspur_ros/issues/14>)
  * Use find_package(ypspur) instead of catkin_package. (#12 <https://github.com/openspur/ypspur_ros/issues/12>)
  * Use CMake version of ypspur. (#10 <https://github.com/openspur/ypspur_ros/issues/10>)
    
      * Also, fix dummy dependency to system_lib.
    
  * adds README (#9 <https://github.com/openspur/ypspur_ros/issues/9>)
  * publishes digital input port state (#8 <https://github.com/openspur/ypspur_ros/issues/8>)
  * fixes to compile with old versions of YP-Spur which does not have joint_ang_vel command
  * adds error handling on joint trajectory control
  * joint_position_to_joint_trajectory: temporary removes time to accelerate
  * joint_position_to_joint_trajectory: skips duplicated joint command
  * joint_position_to_joint_trajectory: takes care of the current joint position
  * adds joint_position_to_joint_trajectory converter
  * fixes uncleared joint trajectory command cache
  * increases cmd_joint input buffer
  * allows divided joint trajectory command
  * adds joint trajectory control
  * fixes DIO default status parameter setting
  * supports joint effort output (#4 <https://github.com/openspur/ypspur_ros/issues/4>)
    
      * This also fixes a bug that joint effort field was filled by velocity value on the version of YP-Spur without joint control support.
    
  * changes default vel/acc settings to use values defined in the parameter file
  * fixes ypspur-coordinator process monitoring
  * adds vehicle control mode interface
  * fixes digital IO control
  * adds param to set tf timestamp offset
  * adds simple simulation of robot control and joint angle control
  * adds ros::shutdown before quiting the main loop
  * fixes A/D output message type
  * joint_tf_publisher: adds node to generate tf messages from joint topic
  * adds combined joint position control input
  * adds parameters to specify A/D port name in the output message
  * adds digital I/O port output
  * changes A/D related parameter names (ad_enable0 to ad0_enable)
  * changes names of the joint control inputs according to the specified joint names
  * supports more than two joint control
  * adds retry and error handling in getID script
  * improves ypspur-coordinator availability check
  * ROS interface of the mobile robot control platform "YP-Spur"
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@openspur.org>  Thu, 19 Apr 2018 00:00:00 -0000

=== debian/control ===
Source: ros-indigo-ypspur-ros
Section: misc
Priority: extra
Maintainer: Atsushi Watanabe <atsushi.w@openspur.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-trajectory-msgs, ros-indigo-ypspur
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-ypspur-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-trajectory-msgs, ros-indigo-ypspur
Description: ROS wrapper for the mobile robot control platform YP-Spur

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ypspur-ros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
